PETSc version 3.15.5
Fix/Edit manual page

# TSSetComputeInitialCondition

Set the function used to automatically compute an initial condition for the timestepping.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetComputeInitialCondition(TS ts, PetscErrorCode (*initCondition)(TS, Vec))

Logically collective on ts

### Input Arguments

| ts | - time stepping context
| initCondition | - The function which computes an initial condition

### Calling sequence for initCondition

    PetscErrorCode initCondition(TS ts, Vec u)

| ts | - The timestepping context
| u | - The input vector in which the initial condition is to be stored

### See Also

TSGetComputeInitialCondition(), TSComputeInitialCondition()

### Level

advanced

### Location

src/ts/interface/ts.c

### Examples

src/ts/tutorials/ex45.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages